package de.fraunhofer.iem.dataprovider.repository.dto

import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity

data class RepositoryCreateDto(val name: String, val uri: String, val id: Long) {
    fun toDbObject(): RepositoryEntity {
        return RepositoryEntity(
            name = this.name,
            repoId = this.id,
            url = this.uri
        )
    }
}
